const InformeMoi = require('./InformeMoi.js');
const DatabaseCommand = require('./DatabaseCommand.js');
const CommandVoteParser = require('./CommandVoteParser.js');

class CommandParser{
    
    constructor(client, voteParser){
        this.client = client;
        this.informeMoi = new InformeMoi(client);
        this.databaseCommand = new DatabaseCommand(client);
        this.commandVoteParser = new CommandVoteParser(voteParser);
    }

    parse(message){
        this.informeMoi.parse(message);
        this.databaseCommand.parse(message);
        this.commandVoteParser.parse(message);
    }
}

module.exports = CommandParser;